/*  ==========================================================================
    Globals (Mobile First)
    ========================================================================== */

/*
    Padding and Margins
    ========================================================================== */

$padding: 40px; // Padding and margins

/*
    Widths and Heights
    ========================================================================== */

$w-container: 1275px;

/*
    Site colours
    ========================================================================== */

// $colour-name-one: #1271db;
// $colour-name-two: #233E5B;
// $colour-name-three: #aaa;

// Gray Scale
$c-white: #fff;
$c-silver: #ddd;
$c-grey: #aaa;
$c-light-grey: #ededed;
$c-off-black: #1a1a1a;
$c-black: #000;
//
$c-red: #FF0000;
$c-green: #2ECC40;
$c-blue: #0074D9;
$c-orange: #FF851B;

// Color variables
// $primary-color: $colour-name-one;
// $secondary-color: $colour-name-two;
// $tertiary-color: $colour-name-three;

// Colours through-out - prefix with c-
$c-bad: $c-red; // Bad color for errors, validation etc.
$c-good: $c-green; // Good color for success etc.
$c-info: $c-blue; // Good color for success etc.
$c-warning: $c-orange; // Good color for success etc.
$c-subtle: $c-grey; // Subtle color for subtle text


/*
    Colour Maps
    ========================================================================== */

$c-colours: (
    primary: #2C2C2C,
    light-grey: #8a8888,
    green: #16a156,
    dark-green: #008944,
    off-white: #f3f3f3,
    off-black: #2a2a2c
);


/*
    Fonts
    ========================================================================== */

$f-sans: 'AvenirNext-Regular', sans-serif;
$f-sans-medium: 'AvenirNext-Medium', sans-serif;
$f-sans-demi: 'AvenirNext-DemiBold', sans-serif;
$f-sans-bold: 'AvenirNext-Bold', sans-serif;
// $f-serif: 'SangBleuKingdom', serif;
// $f-pre: Monaco, Menlo, Consolas, "Courier New", monospace;
// $f-blockquote: Georgia, Times, "Times New Roman", serif;


/* Font Sizes
    ========================================================================== */

// $fs-title: (
//     small: 3.5,
//     medium: 4.5,
//     large: 5.5,
// );

// $fs-title-xl: (
//     small: 6.5,
//     medium: 8.5,
//     large: 10.8,
// );

// @include rem-rwd( $fs-title );


/*  ==========================================================================
    Foundation
    ========================================================================== */

/*
    Grid
    ========================================================================== */

$grid-column-gutter: (
    small: 20px,
    medium: 20px,
);

$global-width: 1275px + map-get( $grid-column-gutter, medium );
$grid-column-count: 12;
$global-flexbox: false;
$global-right: left;
$global-left: left;
$breakpoints: (
    small: 0,
    mobile: 375px,
    medium: 640px,
    xmedium: 800px,
    large: 1025px,
    xlarge: 1280px,
    xxlarge: 1500px,
    xxxlarge: 2000px
);
$breakpoint-classes: (small mobile medium xmedium large xlarge xxlarge xxxlarge);

/*  ==========================================================================
    Fonts
    ========================================================================== */